log4cplus::helpers::socket_closer Struct Reference

`#include <socket.h>`

## Public Member Functions

void | operator() (SOCKET s)

## Detailed Description

Definition at line 93 of file internal/socket.h.

## Member Function Documentation

## operator()()

void log4cplus::helpers::socket_closer::operator() | ( | SOCKET | s | ) |

inline

Definition at line 96 of file internal/socket.h.

References log4cplus::helpers::INVALID_OS_SOCKET_VALUE.

The documentation for this struct was generated from the following file:

- internal/socket.h